# TODO
# Add a cvs switch
# Fix --enable-renderer=agg
# fix --enable-gui=fltk
####################################################

%define __libtoolize /bin/true
%define name	gnash
%define version 0.7.3
%define release %mkrel 0.%cvs.3

%define cvs     070318

%define libname %mklibname %{name} 0
%define libname_orig lib%{name}

Name:		%name
Summary:	Gnash - a GNU Flash movie player
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/WWW
Source0:	%name-%cvs.tar.bz2
Patch0:         gnash-gcc-warning-fixes.diff
BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://www.gnu.org/software/gnash/
BuildRequires:	mesaglut-devel
BuildRequires:  mozilla-firefox-devel > 1.5
BuildRequires:  mad-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  kdebase-devel
BuildRequires:  gtkglext-devel
BuildRequires:  boost-devel
BuildRequires:  curl-devel
BuildRequires:  docbook2x
BuildRequires:  texinfo
BuildRequires:  doxygen
BuildRequires:	scrollkeeper
BuildRequires:	libxslt-proc
BuildRequires:  agg-devel
BuildRequires:  mysql-devel
BuildRequires:  libltdl-devel
Buildrequires:	gtk2-devel
Buildrequires:	dejagnu
# (nl) : needed for the test-suite
BuildRequires:  ming-devel

%description
Gnash is a GNU Flash movie player. Till now it has been possible 
to play flash movies with proprietary software. While there are a 
few free flash players, none supports anything higher than SWF v4 
at best. Gnash is based on GameSWF, and supports many SWF v7 features.

%post -n %{name}
%_install_info %{name}.info

%preun -n %{name}
%_remove_install_info %{name}.info

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog ChangeLog.gameswf INSTALL NEWS README TODO
%{_bindir}/gnash
%{_bindir}/gparser
%{_bindir}/gprocessor
%{_bindir}/cygnal
%{_mandir}/man?/*

%{_infodir}/%{name}.info.bz2
%{_datadir}/omf/gnash
%{_datadir}/gnash

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Gnash library
Group:	        Networking/WWW	
Provides:	%{libname_orig} = %{version}

%description -n %{libname}
Gnash library.

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)

%{_libdir}/gnash/plugins/dejagnu.so
%{_libdir}/gnash/plugins/fileio.so
%{_libdir}/libgnashamf.so
%{_libdir}/libgnashbackend.so
%{_libdir}/libgnashbase.so
%{_libdir}/libgnashgeo.so
%{_libdir}/libgnashgui.so
%{_libdir}/libgnashplayer.so
%{_libdir}/libgnashserver.so
%{_libdir}/libgnashvm.so

#--------------------------------------------------------------------

%package -n	%{libname}-devel
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/gnash/plugins/dejagnu.la
%{_libdir}/gnash/plugins/fileio.la
%{_libdir}/libgnashamf.la
%{_libdir}/libgnashvm.la
%{_libdir}/libgnashbackend.la
%{_libdir}/libgnashplayer.la
%{_libdir}/libgnashbase.la
%{_libdir}/libgnashgeo.la
%{_libdir}/libgnashgui.la
%{_libdir}/libgnashserver.la
%{_libdir}/kde3/libklashpart.la


#--------------------------------------------------------------------

%package -n     %{name}-firefox-plugin
Summary:	Gnash firefox plugin
Group:		Networking/WWW
Requires:	gnash = %{version}
Requires:	libmozilla-firefox > 1.5

%description -n %{name}-firefox-plugin
Gnash firefox plugin

%files -n %{name}-firefox-plugin
%{_libdir}/mozilla/plugins/*.so

#--------------------------------------------------------------------

%package -n	%{name}-konqueror-plugin
Summary:	Gnash konqueror plugin
Group:		Graphical desktop/KDE
Requires:	gnash = %{version}
%description -n %{name}-konqueror-plugin
Gnash Konqueror plugin

%files -n %{name}-konqueror-plugin
%{_libdir}/kde3/*.so
%{_datadir}/apps/klash
%{_datadir}/services/klash_part.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %name
%patch0

%build
sh autogen.sh
%configure2_5x	--enable-mp3 \
		--enable-ghelp  \
		--enable-docbook \
		--enable-plugin \
		--with-plugindir=%{_libdir}/mozilla/plugins  \
		--disable-rpath \
		--enable-extensions \
		--enable-sdk-install \
		--enable-jpeg \
		--enable-ghelp \
		--enable-klash \
		--enable-gui=gtk \
		--enable-sound=sdl \
		--with-qt-incl="`pkg-config --variable=includedir qt-mt`" \
		--with-qt-lib="`pkg-config --variable=libdir qt-mt`"

%make "OPENGL_LIBS = -lGL"


%install
rm -rf %{buildroot}


# Big fat but working hack
perl -pi -e "s,install-info,/../sbin/install-info," doc/C/Makefile

%makeinstall_std
rm -rf %{buildroot}/%{_localstatedir}/scrollkeeper
perl -pi -e "s,-L%{_builddir}/%{name}-%{version}/libbase,,g" %{buildroot}/%{_libdir}/libgnashgeo.la

#drop devel files
#rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
#rm -f $RPM_BUILD_ROOT%{_libdir}/gnash/plugins/*.la
#rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/*.la

%clean
rm -rf %{buildroot}




%changelog
* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070318.3mdv2007.1
+ Revision: 148220
- rebuild for mozilla-firefox 2.0.0.3

* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-0.070318.2mdv2007.1
+ Revision: 146874
- don't package the whole sources as doc

* Sun Mar 18 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070318.1mdv2007.1
+ Revision: 146017
- New snapshot

* Wed Mar 07 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.4mdv2007.1
+ Revision: 134807
- bump release to fix submitting
- reintroduce devel package

* Mon Mar 05 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.2mdv2007.1
+ Revision: 133385
- readd missing file
- drop redundant buildrequires
- buildrequires gtk2-devel
- buildrequires dejagnu
- don't package source tree
- fix libraries packages
- drop devel package
- add warning fix patch from opensuse
- enable sound via SDL

* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.1mdv2007.1
+ Revision: 132524
- buildrequires mysql-devel
- buildrequires libltdl-devel
- New cvs snapshot
- buildrequires kdebase-devel
- fix buildrequires
- New cvs snapshot
- disable konqueror plugin

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - reenable konqueror plugin

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot
    - New snapshot
    - New cvs snapshot
    - New cvs snapshot
    - Fix File list
    - Add BuildRequires for test suite

* Fri Dec 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-3mdv2007.1
+ Revision: 97943
- Fix lib file section (#27686)

* Sun Dec 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-1mdv2007.1
+ Revision: 94527
- Fix requires (i hope )  thanks  Gotz
- New version 0.7.2
- Remove useless BuildConflicts
- close ticket #22971

* Fri Dec 08 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.2mdv2007.1
+ Revision: 92241
- buildconflicts docbook-utils
- Rebuild for mozilla-firefox 2.0

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.1mdv2007.1
+ Revision: 90268
- Add BuildRequires scrollkeeper libxslt-proc
- add buildrequires curl-devel texinfo doxygen
- buildrequires docbook-xml

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot for 0.7.2 branch

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.1-3mdv2007.1
+ Revision: 73125
- Add tarball
- New cvs snapshot
- Sync with gnash cvs
- Fix BuildRequires for new xorg
- increase release
- Make the wrning for svn back
- make the source back too
- come back on the svn gnash!!!
- Add a warning about its presence on svn repos
- Remove the changelog from the svn commit
- Created package structure for gnash.

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway


* Fri May 12 2006 Couriousous <couriousous@mandriva.org> 0.7.1-1mdk
- 0.7.1
- Reenable firefox plugin
- Enable konqueror plugin

* Thu Feb 16 2006 Austin Acton <austin@mandriva.org> 0.7-0.20060216.1mdk
- give proper version number
- enable docbook and ghelp
- buildrequires docbook2x
- fix lib64 build
- move la's to devel package
- configure 2.5
- add the standard doc files

* Thu Feb 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060216.1mdk
- New cvs snapshot

* Wed Feb 15 2006 Austin Acton <austin@mandriva.org> 0.0-0.20060123.3mdk
- fix lib64 build

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.2mdk
- Add BuildRequires

* Thu Jan 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.1mdk
- New cvs snapshot
	- For the moment the firefox plugin is not enable because it
		doesn't compile.
- Fix File section (misc)
- Add BuildRequires (misc)

* Tue Jan 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060110.1mdk
- initial mandriva package
- Patch 0 : Fix Mozilla-firefox detection (baud123)

